import { IUserState } from '@/features/usersSlice';
import { AppBar, Toolbar, Typography, styled } from '@mui/material';
import { Link } from 'react-router-dom';

const StyledLink = styled(Link)(() => ({
  color: 'inherit',
  textDecoration: 'none',
  ['&:hover']: { color: 'inherit' },
}));

export function AppToolbar({user}: {user: IUserState | null}) {
  return (
    <>
      <AppBar position="fixed">
        <Toolbar style={{display: 'flex', justifyContent: 'space-between'}}>
          <Typography variant="h6" component={StyledLink} to={'/'}>
            Computer parts shop
          </Typography>
          <Typography variant="h6" component={StyledLink} to={'/'}>
              {user?.username}
          </Typography>
        </Toolbar>
      </AppBar>
    </>
  );
}
